# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::Resource::ConstIterator Class Reference

Resource Const Iterator. More...

`#include <resource.h>`

List of all members.

## Public Member Functions

| ConstIterator (const ConstIterator &)
| ConstIterator (const Iterator &)
virtual ConstIterator & | operator= (const ConstIterator &)
virtual const Addressee & | operator * () const
virtual ConstIterator & | operator++ ()
virtual ConstIterator & | operator++ (int)
virtual ConstIterator & | operator-- ()
virtual ConstIterator & | operator-- (int)
virtual bool | operator== (const ConstIterator &it)
virtual bool | operator!= (const ConstIterator &it)

## Public Attributes

ConstIteratorData * | d

## Detailed Description

Resource Const Iterator.

This class provides a const iterator for resource entries.

Definition at line 94 of file resource.h.

The documentation for this class was generated from the following file:

- resource.h

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:53 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003